package com.qmth.distributed.print.business.bean.marking;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 评卷参数JSON
 * @Author: CaoZixuan
 * @Date: 2022-04-13
 */
public class EvaluationParameters {
    @ApiModelProperty(value = "基础试卷信息")
    @NotNull(message = "缺少基础试卷信息")
    private BasicPaperInfo basicPaperInfo;

    @ApiModelProperty(value = "试卷结构信息")
    @NotNull(message = "缺少试卷结构信息")
    private PaperStructureInfo paperStructureInfo;

    @ApiModelProperty(value = "分组信息")
    @NotNull(message = "缺少分组信息")
    private List<GroupInfo> groupInfo;

    public BasicPaperInfo getBasicPaperInfo() {
        return basicPaperInfo;
    }

    public void setBasicPaperInfo(BasicPaperInfo basicPaperInfo) {
        this.basicPaperInfo = basicPaperInfo;
    }

    public PaperStructureInfo getPaperStructureInfo() {
        return paperStructureInfo;
    }

    public void setPaperStructureInfo(PaperStructureInfo paperStructureInfo) {
        this.paperStructureInfo = paperStructureInfo;
    }

    public List<GroupInfo> getGroupInfo() {
        return groupInfo;
    }

    public void setGroupInfo(List<GroupInfo> groupInfo) {
        this.groupInfo = groupInfo;
    }
}
